Skip to main content

Å fikse "Visual Studio 2005 SP1 krever en oppdatering for Windows Vista"

Å fikse "Visual Studio 2005 SP1 krever en oppdatering for Windows Vista"

Geoffrey Carr

Jeg hadde hørt at Visual Studio 2005 har kompatibilitetsproblemer med Windows Vista, så jeg ble ikke overrasket da jeg fikk denne feilmeldingen når jeg prøvde å kjøre for første gang. For å løse denne feilmeldingen, må du installere SP1-oppdateringen, som stort sett er oppdateringspakken for servicepakken, tror jeg.

Du kan laste ned SP1-oppdateringen her: http://go.microsoft.com/?linkid=6366078

Etter at jeg installerte denne oppdateringen, fikk jeg denne feilmeldingen som sier "Administratorrettigheter anbefales for å kjøre Visual Studio 2005 SP1", og ber om å bruke alternativet Kjør som administrator når du starter Visual Studio.

Etter å ha gjort noen undersøkelser har du et par alternativer:

  • Kjør Visual Studio som administrator (din beste innsats er å bare endre snarveien for alltid å kjøre som administrator.) Du vil likevel ende opp med noen feil på denne måten.
  • Kjør Visual Studio som en vanlig bruker, og bare åpne den som administrator hvis du får en bestemt feil som krever admin tilgang.
  • Bare fjern markeringen i boksen.

Tips: Hvis du prøver å feilsøke webprosjekter, må du sørge for at du går til Legg til / fjern Windows-komponenter i Kontrollpanel og installer IIS6-kompatibiliteten med IIS7-alternativet, ellers har du ikke mye lykke.

Samlet sett er Visual Studio 2005 bare ikke veldig kompatibel med Vista. Det er frustrerende, men det er livet.

Link
Plus
Send
Send
Pin